Subject: Re: bug#49316: Add apply-partially's right version

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Oct 2021 07:10:36 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> I'm not very enthusiastic -- is partial application used a lot now that
> we've got lexical binding?  Partial application has always seemed like
> One Weird Trick to me.
>
> On the other hand -- some people are used to programming using these
> idioms, so perhaps it makes sense to add a right version as well?

I don't think function currying (a.k.a. partial application) is a weird
trick, but I'm also not sure how important it is in Emacs Lisp given
that we prefer writing code in an imperative style.  And we can just
create a lambda instead; it is slightly more verbose but also slightly
more familiar.

I've personally missed this a couple of times though, so I definitely
wouldn't mind if it was added.